- UID
- 130142
- 积分
- 0
- 精华
- 贡献
-
- 威望
-
- 活跃度
-
- D豆
-
- 在线时间
- 小时
- 注册时间
- 2004-4-25
- 最后登录
- 1970-1-1
|
马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。
您需要 登录 才可以下载或查看,没有账号?立即注册
×
我现在参照老大们的意思画出了递增的圆点,可还有点问题想请帮忙,能否帮我解决?
图中1.2.3.4是递增的圆点.
Option Explicit
Public length, lengthn1, ptdis, mmaxr, mecha, n, p, q, l As Double
Public centerpt(0 To 2) As Double
Sub DengchaFen()
Dim radius, radius1 As Double
Dim lengthn As Integer
Dim circ As AcadCircle
If q = 0 Then
length = InputBox(":输入长度")
ptdis = InputBox("输入网点间距")
n = InputBox("输入绘制行数")
lengthn1 = length / (3 ^ (0.5) * ptdis)
p = 1
l = 1
End If
lengthn = Int(lengthn1)
radius = InputBox("输入最小点直径") / 2
radius1 = radius
mmaxr = InputBox("输入最大点直径") / 2
mecha = (mmaxr - radius) / lengthn
Do
Do
Set circ = ThisDrawing.ModelSpace.AddCircle(centerpt, radius)
centerpt(0) = centerpt(0) + 3 ^ (0.5) * ptdis
radius = radius + mecha
q = q + 1
Loop While centerpt(0) <= length
centerpt(1) = centerpt(1) + ptdis
centerpt(0) = 0
radius = radius1
Loop While centerpt(1) <= (n * p - 1) * ptdis + ptdis / 4
dengcha.Show
ThisDrawing.Application.ZoomExtents
End Sub
我原来的代码做出来的效果如下
我希望能在画红处做出递增的圆点 |
|